Subject: Re: bug#41242: Port feature/native-comp to Windows

From: Nicolas Bértolo <[email-masked]>
Date: Thu, 14 May 2020 13:24:02 -0300

> And if push comes to shove, we could use a Windows API
> that causes a file to be deleted when the last handle on it is closed,
> but that would add complexity, so I think we should try easier ways
> first.

If you are talking about FILE_FLAG_DELETE_ON_CLOSE:
I have tried that in the patch I have for the third suggestion.
When Emacs closes normally the temporary files are not deleted.
I don't know why that is. It is as if the LoadLibrary function disabled
the delete on close flag.